explain_fork_or_die(3)

NAME
explain_fork_or_die - create a child process and report errors
    "create a child process and report errors"

SYNOPSIS
#include <libexplain/fork.h>

void explain_fork_or_die(void);

DESCRIPTION
The explain_fork_or_die function is used to call the fork(2) system call. On failure an explanation will be printed to stderr, obtained from explain_fork(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fork_or_die();

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

fork(2)
    create a child process

explain_fork(3)
    explain fork(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller